<%@ Page Language="C#" AutoEventWireup="true"  CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="RadMenu.Net2" Namespace="Telerik.WebControls" TagPrefix="radM" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Untitled Page</title>
    <script type="text/javascript">
        function OnMouseOver(sender, eventArgs)
        {
            LogEvent("Mouse over: " + eventArgs.Item.Text);    
        }
        
        function OnMouseOut(sender, eventArgs)
        {
            LogEvent("Mouse out: " + eventArgs.Item.Text);    
        }
        
        function OnItemClicking(sender, eventArgs)
        {
            LogEvent("On clicking: " + eventArgs.Item.Text);
            
        }
                    
        function OnItemClicked(sender, eventArgs)
        {
            LogEvent("On clicked: " + eventArgs.Item.Text);
        }
        
        function OnItemOpen(sender, eventArgs)
        {
            LogEvent("On open: " + eventArgs.Item.Text);
        }
        
        function OnItemClose(sender, eventArgs)
        {
            LogEvent("On close: " + eventArgs.Item.Text);
        }
        
        function OnItemFocus(sender, eventArgs)
        {
            LogEvent("On focus: " + eventArgs.Item.Text);
        }
        
        function OnItemBlur(sender, eventArgs)
        {
            LogEvent("On blur: " + eventArgs.Item.Text);
        }
        
        function ClearLog()
        {
            var log = document.getElementById("Textbox1");
            
            log.value = "";
        }

        function LogEvent(text)
        {
            var tb = document.getElementById("Textbox1");
            
            if (tb)
            {
                tb.value += text + "\n";
                tb.scrollTop = tb.scrollHeight;
            }
        }

    </script>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <radM:RadMenu ID="RadMenu1" runat="server">
        </radM:RadMenu>
    
    </div>
        <asp:TextBox ID="TextBox1" runat="server" Height="227px" TextMode="MultiLine" Width="304px"></asp:TextBox>
    </form>
</body>
</html>
